# Method: accounts.omnichannelSettings.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.ListOmnichannelSettingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings/list#try-it)

List all the omnichannel settings for a given merchant.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*}/omnichannelSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of omnichannel settings. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of omnichannel settings to return. The service may return fewer than this value. If unspecified, at most 50 omnichannel settings will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `omnichannelSettings.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `omnichannelSettings.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the omnichannelSettings.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "omnichannelSettings": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings#OmnichannelSetting`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `omnichannelSettings[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.omnichannelSettings#OmnichannelSetting`)`` The omnichannel settings from the specified merchant. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).